﻿// fontdlldemo.cpp : demo application for C/C++ program to use font encoder DLL.

#include <windows.h>
#include <stdlib.h>
#include <stdio.h>

#include "../SDK/QRCodeEncoderDLL.h"
#ifdef _WIN64
#pragma comment(lib, "../SDK/x64/MoroviaQRCodeFontEncoder5")
#else
#pragma comment(lib, "../SDK/MoroviaQRCodeFontEncoder5")
#endif

int main(int argc, char* argv[])
{
	const char* data = "http://www.morovia.com";
	void* pResult = QRCodeEncode2(data,   /* data to encode */
						0, 				   /* version requested */
						4);				   /* Error correction Level */
	
	if (!pResult) {
		printf("Error in creating barcode.\n");
		return  1;
	}
	
	const char* barstr = QRCodeResultGetBarcodeString2(pResult, "\r\n");

	printf("Barcode String is \n%s\n", barstr);
	DestroyQRCodeEncodeResult(pResult);
	
	// unicode encoding example (see notes in the manual)
	const wchar_t* wdata = L"unicode chars: âÂ Čšđ ě €€";
	pResult = QRCodeEncode2W(wdata,   /* data to encode */
						0, 				   /* version requested */
						4);				   /* Error correction Level */
	
	barstr = QRCodeResultGetBarcodeString2(pResult, "\r\n");
	printf("Barcode String is \n%s\n", barstr);
	DestroyQRCodeEncodeResult(pResult);

	return 0;
}